#include <stdio.h>

main()
{
	char	c;
	char	x[100];
	char	*cp;

	while( gets(x) )
	{
		if ( sscanf(x,"<delim value=%c",&c) == 1 ){
			printf("found a char: %c\n", c);
		}
		else {
			cp = strstr(x,"value=");
			if ( cp != NULL ){
				c = cp[6];
				printf("found a char: %c\n", c);
			}
		}
	}
}
